[arch-commits] Commit in xdrawchem/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Tobias Powalowski tpowa at archlinux.org
Sun Oct 5 13:23:47 EDT 2008


    Date: Sunday, October 5, 2008 @ 13:23:47
  Author: tpowa
Revision: 14312

Merged revisions 356,13901,14311 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/xdrawchem/trunk

........
  r356 | aaron | 2008-04-18 22:56:27 +0000 (Fr, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r13901 | allan | 2008-09-29 06:37:53 +0000 (Mo, 29 Sep 2008) | 1 line
  
  correct sourceforge url
........
  r14311 | tpowa | 2008-10-05 17:22:02 +0000 (So, 05 Okt 2008) | 1 line
  
  upgpkg: xdrawchem 1.9.9-5
........

Modified:
  xdrawchem/repos/extra-x86_64/	(properties)
  xdrawchem/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   19 ++++++++++++-------
 1 file changed, 12 insertions(+), 7 deletions(-)


Property changes on: xdrawchem/repos/extra-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /xdrawchem/trunk:1
   + /xdrawchem/trunk:1-14311

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2008-10-05 17:22:02 UTC (rev 14311)
+++ extra-x86_64/PKGBUILD	2008-10-05 17:23:47 UTC (rev 14312)
@@ -3,21 +3,26 @@
 
 pkgname=xdrawchem
 pkgver=1.9.9
-pkgrel=4
+pkgrel=5
 pkgdesc="A two-dimensional molecule drawing program for Unix operating systems. It can read and write MDL Molfiles, and read ChemDraw text and binary files, to allow sharing between XDrawChem and other chemistry applications, and it can create images in popular formats like PNG and EPS."
 arch=('i686' 'x86_64')
 url="http://xdrawchem.sourceforge.net/"
 license=('GPL' 'LGPL' 'custom:ARTISTIC')
-depends=('qt3>=3.3.5' 'libpng' 'openbabel>=2.1.0' 'ghostscript')
-source=(http://switch.dl.sourceforge.net/sourceforge/xdrawchem/$pkgname-$pkgver.tar.gz license.html)
-md5sums=('6343d031b3ea19a6606831c89b8006b2' '8c2d33b5a049db65888d48d5de3f3523')
+depends=('qt3>=3.3.5' 'libpng' 'openbabel>=2.2.0' 'ghostscript')
+source=(http://downloads.sourceforge.net/sourceforge/xdrawchem/$pkgname-$pkgver.tar.gz 
+        xdrawchem-gcc43.patch 
+	license.html)
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
+  cd $srcdir/$pkgname-$pkgver
   . /etc/profile.d/qt3.sh
+  patch -Np1 -i ../xdrawchem-gcc43.patch || return 1
   ./configure --prefix=/usr --without-openbabel
         # openbabel is a separate pkg in archlinux
   make || return 1
-  make prefix=$startdir/pkg/usr install
-  install -D -m644 ../license.html $startdir/pkg/usr/share/licenses/$pkgname/license.html
+  make prefix=$pkgdir/usr install
+  install -D -m644 ../license.html $pkgdir/usr/share/licenses/$pkgname/license.html
 }
+md5sums=('6343d031b3ea19a6606831c89b8006b2'
+         '8b7bfba2430fb369ec05ab708bf605bc'
+         '8c2d33b5a049db65888d48d5de3f3523')




More information about the arch-commits mailing list